Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type Source

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface Source

Optional annotation in conjunction with `Version` and timestamp version properties. The annotation value decides where the timestamp is generated.

Optional Element Summary
`SourceType` | `value`

### value

    public abstract SourceType value

  Default:
    org.hibernate.annotations.SourceType.VM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.